CVE-2009-2950

HIGH

Description

Heap-based buffer overflow in the GIFLZWDecompressor::GIFLZWDecompressor function in filter.vcl/lgif/decode.cxx in OpenOffice.org (OOo) before 3.2 allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted GIF file, related to LZW decompression.

References

http://lists.opensuse.org/opensuse-security-announce/2010-03/msg00005.html

http://secunia.com/advisories/38567

http://secunia.com/advisories/38568

http://secunia.com/advisories/38695

http://secunia.com/advisories/38921

http://secunia.com/advisories/41818

http://secunia.com/advisories/60799

http://securitytracker.com/id?1023591

http://www.debian.org/security/2010/dsa-1995

http://www.gentoo.org/security/en/glsa/glsa-201408-19.xml

http://www.mandriva.com/security/advisories?name=MDVSA-2010:221

http://www.openoffice.org/security/bulletin.html

http://www.openoffice.org/security/cves/CVE-2009-2950.html

http://www.oracle.com/technetwork/topics/security/cpuoct2010-175626.html

http://www.redhat.com/support/errata/RHSA-2010-0101.html

http://www.securityfocus.com/bid/38218

http://www.ubuntu.com/usn/USN-903-1

http://www.us-cert.gov/cas/techalerts/TA10-287A.html

http://www.vupen.com/english/advisories/2010/0366

http://www.vupen.com/english/advisories/2010/0635

http://www.vupen.com/english/advisories/2010/2905

https://bugzilla.redhat.com/show_bug.cgi?id=527512

https://exchange.xforce.ibmcloud.com/vulnerabilities/56238

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11050

Details

Source: MITRE

Published: 2010-02-16

Updated: 2017-09-19

Type: CWE-119

Risk Information

CVSS v2.0

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 8.6

Severity: HIGH